Enhancer logoEnhancer
Enhancer APIUsers

Get user profile

Returns a public user profile with a complete global bucket and paginated per-channel buckets.

GET
/v1/user/{platform}/{externalId}

Path Parameters

platform*string

Platform name.

Value in

  • "twitch"
  • "kick"
externalId*string

User external id or login.

Length1 <= length

Query Parameters

page?integer

Zero-based channels page.

Range0 <= value
Default0
pageSize?integer

Number of channels per page.

Range1 <= value <= 100
Default50

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/user/twitch/xqc?page=0&pageSize=50"
{  "platform": "TWITCH",  "accountId": "a1b85243-288d-4022-912e-7e76a49be380",  "externalId": "71092938",  "login": "xqc",  "displayName": "xQc",  "global": {    "badges": [],    "appearance": {      "customNickname": null,      "customFont": null,      "hasGlow": false    }  },  "channels": [],  "page": 0,  "hasNextPage": false}